{pkgs, ...}: {
  programs.git = {
    package = pkgs.gitAndTools.gitFull;
    extraConfig = {
      credential.helper = "manager";
      credential.credentialStore = "secretservice";
      credential."git.thomasfmly.org".provider = "generic";
      credential."https://git.s.michaelt.xyz".provider = "generic";
    };
  };

  home.packages = with pkgs; [
    git-credential-manager
  ];
}
